## com.mysql.jdbc
Class ConnectionImpl.CompoundCacheKey

    java.lang.Object
      com.mysql.jdbc.ConnectionImpl.CompoundCacheKey

Enclosing class:
  ConnectionImpl

    static class ConnectionImpl.CompoundCacheKey

extends java.lang.Object

Used as a key for caching callable statements which (may) depend on current catalog...In 5.0.x, they don't (currently), but stored procedure names soon will, so current catalog is a (hidden) component of the name.

Field Summary
`(package private) java.lang.String` `componentOne`
`(package private) java.lang.String` `componentTwo`
`(package private) int` `hashCode`

Constructor Summary
`ConnectionImpl.CompoundCacheKey(java.lang.String partOne, java.lang.String partTwo)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### componentOne

    java.lang.String componentOne

### componentTwo

    java.lang.String componentTwo

### hashCode

    int hashCode

Constructor Detail

### ConnectionImpl.CompoundCacheKey

    ConnectionImpl.CompoundCacheKey(java.lang.String partOne,
                                    java.lang.String partTwo)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`